de.voidplus.myo

## Enum Pose.Type

- java.lang.Object
- - java.lang.Enum<Pose.Type>
  - - de.voidplus.myo.Pose.Type

- All Implemented Interfaces:
    Serializable, Comparable<Pose.Type>
  Enclosing class:
    Pose

      public static enum Pose.Type
      extends Enum<Pose.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DOUBLE_TAP`
    `FINGERS_SPREAD`
    `FIST`
    `REST`
    `UNKNOWN`
    `WAVE_IN`
    `WAVE_OUT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Pose.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Pose.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REST

          public static final Pose.Type REST

    - #### FIST

          public static final Pose.Type FIST

    - #### WAVE_IN

          public static final Pose.Type WAVE_IN

    - #### WAVE_OUT

          public static final Pose.Type WAVE_OUT

    - #### FINGERS_SPREAD

          public static final Pose.Type FINGERS_SPREAD

    - #### DOUBLE_TAP

          public static final Pose.Type DOUBLE_TAP

    - #### UNKNOWN

          public static final Pose.Type UNKNOWN

  - ### Method Detail

    - #### values

          public static Pose.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Pose.Type c : Pose.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Pose.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Processing library MyoForProcessing by Darius Morawiec. (C) 2014